Debian Bug report logs - #292513
debian-installer: grub doesn't update mbr on both disk

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Bozhan Boiadzhiev <edmon@oohaa.net>

Date: Thu, 27 Jan 2005 15:33:02 UTC

Severity: normal

Tags: d-i, patch

Merged with 252009, 310798, 391489, 489006, 578338, 582367

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#292513; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Bozhan Boiadzhiev <edmon@oohaa.net>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bozhan Boiadzhiev <edmon@oohaa.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: grub doesn't update mbr on both disk
Date: Thu, 27 Jan 2005 17:42:11 +0200
Package: debian-installer
Severity: normal

after succesful instlall i have tried to remove one
of mu hdd and restart .. old lilo configuration was started.
i change hdds and debina start with grub.
i have to manualy install grub on second hdd.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-2-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#292513; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 292513@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Bozhan Boiadzhiev <edmon@oohaa.net>, 292513@bugs.debian.org
Subject: Re: Bug#292513: debian-installer: grub doesn't update mbr on both disk
Date: Thu, 27 Jan 2005 18:32:11 +0100
Quoting Bozhan Boiadzhiev (edmon@oohaa.net):
> Package: debian-installer
> Severity: normal
> 
> after succesful instlall i have tried to remove one
> of mu hdd and restart .. old lilo configuration was started.
> i change hdds and debina start with grub.
> i have to manualy install grub on second hdd.

Why do you expect d-i to update the MBR of the two disks?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#292513; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 292513@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Bozhan Boiadzhiev <edmon@oohaa.net>
Cc: Christian Perrier <bubulle@debian.org>, 292513@bugs.debian.org
Subject: Re: Bug#292513: debian-installer: grub doesn't update mbr on both disk
Date: Fri, 28 Jan 2005 18:18:32 +0100
Quoting Bozhan Boiadzhiev (edmon@oohaa.net):
> Christian Perrier wrote:
> 
> >Quoting Bozhan Boiadzhiev (edmon@oohaa.net):
> > 
> >
> >>Package: debian-installer
> >>Severity: normal
> >>
> >>after succesful instlall i have tried to remove one
> >>of mu hdd and restart .. old lilo configuration was started.
> >>i change hdds and debina start with grub.
> >>i have to manualy install grub on second hdd.
> >>   
> >>
> >
> >Why do you expect d-i to update the MBR of the two disks?
> >
> > 
> >
> amm i created raid1 with two disk and when i remove one of the disks pc 
> wont start.
> becouse grub is isntalled only on one of mbr.
> and other this i don't know but it will be good if installer can be used 
> as rescue.


OK, so you would like GRUB to install the MBR on both disks when they
are setup as RAID1. I'm not sure whether this may be done
automatically, but I'm pretty sure that has already been asked for..:)



-- 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#292513; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 292513@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: 292513@bugs.debian.org
Cc: Bozhan Boiadzhiev <edmon@oohaa.net>
Subject: Re: Bug#292513: debian-installer: grub doesn't update mbr on both disk
Date: Fri, 28 Jan 2005 20:09:40 +0100
On Friday 28 January 2005 18:18, Christian Perrier wrote:
> Quoting Bozhan Boiadzhiev (edmon@oohaa.net):
> > Christian Perrier wrote:
> > >Quoting Bozhan Boiadzhiev (edmon@oohaa.net):
> > >>Package: debian-installer
> > >>Severity: normal
> > >>
> > >>after succesful instlall i have tried to remove one
> > >>of mu hdd and restart .. old lilo configuration was started.
> > >>i change hdds and debina start with grub.
> > >>i have to manualy install grub on second hdd.
> > >
> > >Why do you expect d-i to update the MBR of the two disks?
> >
> > amm i created raid1 with two disk and when i remove one of the disks
> > pc wont start.
> > becouse grub is isntalled only on one of mbr.
> > and other this i don't know but it will be good if installer can be
> > used as rescue.
>
> OK, so you would like GRUB to install the MBR on both disks when they
> are setup as RAID1. I'm not sure whether this may be done
> automatically, but I'm pretty sure that has already been asked for..:)

I propose to add a note in the manual warning about this. Will do so this 
weekend.

Maybe we should also add a dialog in grub-installer about this post-sarge 
(unless we can do the dual installation of course).



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#292513; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 292513@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 292513@bugs.debian.org
Cc: Bozhan Boiadzhiev <edmon@oohaa.net>
Subject: Re: Bug#292513: debian-installer: grub doesn't update mbr on both disk
Date: Sat, 29 Jan 2005 07:32:39 +0100
> I propose to add a note in the manual warning about this. Will do so this 
> weekend.

Sure.


> 
> Maybe we should also add a dialog in grub-installer about this post-sarge 
> (unless we can do the dual installation of course).


Well, I'm not really a specialist of software RAID (I prefer using HW
Raid on mission critical stuff), but I suppose that the problem is
deciding whether a given disk is a complete mirror of another one. For
what I understand, when you setup SW Raid, you declare two partitions
as parts of the mirror, but nothing guarantees that the whole second
disk is an exact copy of the first one....so deciding that GRUB should
be installed on both MBR's may be tricky.

In my opinion, such complicated setup should be left to the local
admin.





Bug reassigned from package `debian-installer' to `grub-installer'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#292513; Package grub-installer. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 292513@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 292513@bugs.debian.org, 292513-submitter@bugs.debian.org
Subject: Any idea how to decide if we should or not install?
Date: Tue, 21 Nov 2006 09:10:34 -0200
Hello,

While I understand and think your proposal is very useful I agree with
Christian when he say's that will be difficult to decide if we should
or not to install GRUB on both disks.

I would like to ask if you have any idea how we would decide if it
should or not be done, otherwise I would like to close this bug.

Thanks in advance,

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft gives you Windows ... Linux gives
 you the whole house."



Message sent on to Bozhan Boiadzhiev <edmon@oohaa.net>:
Bug#292513. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#292513; Package grub-installer. Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 292513@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: 292513@bugs.debian.org
Subject: grub-installer: installing grub to multiple disks
Date: Thu, 19 Jul 2007 17:35:04 -0700
The request in #292513 to be able to install on both disks in a raid1 array 
can be accomplished with preseeding. Here are the relevant lines from the 
example preseed (http://www.debian.org/releases/etch/example-preseed.txt)

# To install grub to multiple disks:
#d-i grub-installer/bootdev  string (hd0,0) (hd1,0) (hd2,0)

There are several methods of preseeding this variable including just 
setting it on the boot line. More info in the installation-guide (appendix 
B) at

  http://www.debian.org/releases/stable/i386/apb.html.en

It might still be nice if, in the case of doing raid installs, d-i could 
prompt the user to ask if they wanted to install grub on multiple disks.

-- 
Matt Taggart
taggart@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#292513; Package grub-installer. Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 292513@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: 283312@bugs.debian.org, 226758@bugs.debian.org, 418535@bugs.debian.org, 306977@bugs.debian.org, 275262@bugs.debian.org, 249049@bugs.debian.org, 317606@bugs.debian.org
Cc: 292513@bugs.debian.org
Subject: grub-installer: determining drive to install to
Date: Thu, 19 Jul 2007 18:08:29 -0700
I have just merged 7 bugs (#283312 #226758 #418535 #306977 #275262 #249049 
#317606) that all have to do with grub-installer installing to the disk it 
determines is (hd0) even though that might not be the disk the user 
installed Debian on, or they wanted to install it to some other location.

Of these bugs #283312 appears to have to most useful info, that's probably 
the best place to send future info.

There was one bug that was related, but different enough that I decided not 
to merge it. Anyone looking at implementing a fix for this bug should also 
check out,

#292513 - install to multiple disks in raid installs

maybe that could be fixed at the same time.

-- 
Matt Taggart
taggart@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#292513; Package grub-installer. (Wed, 03 Jun 2009 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 03 Jun 2009 22:33:17 GMT) Full text and rfc822 format available.

Message #50 received at 292513@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: 292513@bugs.debian.org, 292513-submitter@bugs.debian.org
Subject: debian-installer: grub doesn't update mbr on both disk
Date: Thu, 04 Jun 2009 00:29:59 +0200
With grub2 `grub-install (md0)' could just be used, to setup it
automatically on all disks which are part of (md0).
-- 
Felix Zielcke





Message sent on to Bozhan Boiadzhiev <edmon@oohaa.net>:
Bug#292513. (Wed, 03 Jun 2009 22:34:37 GMT) Full text and rfc822 format available.

Merged 292513 489006. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 29 Jan 2011 14:57:07 GMT) Full text and rfc822 format available.

Forcibly Merged 252009 292513 310798 391489 489006 578338 582367. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 29 Jan 2011 17:00:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:18:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.